[OpenWrt-Devel] [PATCH v8 3/3] base-files: cleanup mtd_get_mac_binary hexdump
Christian Lamparter
chunkeey at googlemail.com
Thu Dec 17 13:22:07 EST 2015
From: Chris R Blake <chrisrblake93 at gmail.com>
Remove usage of dd, as per request from Yousong Zhou.
<https://lists.openwrt.org/pipermail/openwrt-devel/2015-December/037743.html>
Signed-off-by: Chris R Blake <chrisrblake93 at gmail.com>
---
package/base-files/files/lib/functions/system.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/package/base-files/files/lib/functions/system.sh b/package/base-files/files/lib/functions/system.sh
index 03d7127..35f6d10 100644
--- a/package/base-files/files/lib/functions/system.sh
+++ b/package/base-files/files/lib/functions/system.sh
@@ -38,7 +38,7 @@ mtd_get_mac_binary() {
return
fi
- dd bs=1 skip=$offset count=6 if=$part 2>/dev/null | hexdump -v -n 6 -e '5/1 "%02x:" 1/1 "%02x"'
+ hexdump -v -n 6 -s $offset -e '5/1 "%02x:" 1/1 "%02x"' $part 2>/dev/null
}
mtd_get_mac_binary_ubi() {
--
2.6.4
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel
More information about the openwrt-devel
mailing list